Filewatcher File Search File Search
Content Search
» » » » »


OCaml bindings to PostgreSQL's libpq

This library allows programmers to write PostgreSQL's clients in OCaml.

It is mainly a set of bindings for the libpq (a low-level C interface to write PostgreSQL clients in C; it is included in the standard PostgreSQL distribution and libraries for other languages usually rely on it).

The API is mainly object oriented.

This package contains all the development stuff you need to use OCaml Postgres bindings in your programs.

Package version:20040120-6


Postgres: OCaml bindings for PostgreSQL
Copyright (C) 2001,2002  Alain Frisch         <>

The library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License; see the file LGPL.

Other files, including the examples, are public domain.




To build these programs, type:
  make all

Before, you need to build the library in the main directory.

To build prompt_gtk, you need lablgtk 1.2; you have to edit
Makefile to give the full path to the lablgtk installation.

You _don't_ need to "make install" the package to build these programs.

Short description:



libpgsql-ocaml (20040120-6) unstable; urgency=low

  * Rebuilt against ocaml 3.08.3

 -- Stefano Zacchiroli <>  Thu, 24 Mar 2005 22:30:27 +0100

libpgsql-ocaml (20040120-5) unstable; urgency=low

  * libpq_stub.c
    - fixed invalid lvalues in assignments which inhibit build with
      gcc-4.0 on amd64. (Closes: Bug#287440)

 -- Stefano Zacchiroli <>  Mon,  3 Jan 2005


2001-07-30      Initial release

2001-08-08      Small fix for Makefile

2002-04-09      Add support


This package was debianized by Stefano Zacchiroli <> on
Sun,  2 Jun 2002 15:17:33 +02

Browse inside libpgsql-ocaml-dev_20040120-6_i386.deb

         [DIR]DEBIAN/ (4)  65535+ mirrors
         [DIR]usr/ (2)  65535+ mirrors

Download libpgsql-ocaml-dev_20040120-6_i386.deb

Results 1 - 1 of 1
Help - FTP Sites List - Software Dir.
Search over 15 billion files
© 1997-2016